logo
Client
GET
/client

Authorization

x-api-key<token>

HMAC-SHA256 signed key produced by the apikee engine. Format: <base62-id>.<base62-claims>.<base62-hmac> The first 12 characters are the keyPrefix (safe for logging).

In: header

Query Parameters

project_env?string

e.g. my-app-production

page?integer
Default1
limit?integer
Default10
Rangevalue <= 100
name?string
type?string
templateId?string

Response Body

application/json

curl -X GET "https://apikee.dev/api/v1/client"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "type": "person",
      "status": "active",
      "source": {},
      "ipWhitelist": [
        "string"
      ],
      "metadata": {},
      "templateId": "string",
      "envId": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "keys": [
        {
          "id": "string",
          "name": "string",
          "keyPrefix": "string",
          "rawKey": "string",
          "scopes": [
            "string"
          ],
          "environment": "string",
          "enabled": true,
          "requestCount": 0,
          "lastUsedAt": "2019-08-24T14:15:22Z",
          "expiresAt": "2019-08-24T14:15:22Z",
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z",
          "metadata": {}
        }
      ],
      "stats": {
        "total": 0,
        "success": 0,
        "error": 0,
        "avgDurationMs": 0
      }
    }
  ],
  "pagination": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "pages": 0
  }
}